Bug 52390 - emulators/twin attempts to build on unsupported
Summary: emulators/twin attempts to build on unsupported
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-18 06:10 UTC by Pedro F. Giffuni
Modified: 2003-08-09 02:59 UTC (History)
0 users

See Also:


Attachments
patch-twin (614 bytes, text/plain)
2003-05-23 03:53 UTC, Pedro F. Giffuni
no flags Details
patch-twin (1.62 KB, application/octet-stream)
2003-08-02 05:50 UTC, Pedro F. Giffuni
no flags Details
patch-twin (2.85 KB, application/octet-stream)
2003-08-02 23:10 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2003-05-18 06:10:10 UTC
emulators/twin is only supported on i386, alpha, powerpc, arm
and sparc architectures. There's no chance for other archs.

Fix: Populate ONLY_FOR_ARCHS with the supported platforms or apply
the following patch that also attempts to clean properly the
configure script (the result is basicly the same though)


__________________________________________________
Yahoo! Plus
For a better Internet experience
http://www.yahoo.co.uk/btoffer
--0-1674956970-1053234357=:23390
Content-Type: text/plain; name=patch-twin
Content-Description: patch-twin
Content-Disposition: inline; filename=patch-twin



--0-1674956970-1053234357=:23390----NUjIyzd8WS6qiLDLz4VH69hbF2YqvTnEM63IdeKXarBokQDZ
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN twin.orig/Makefile twin/Makefile
--- twin.orig/Makefile	Sat May  3 22:02:14 2003
+++ twin/Makefile	Sat May 17 23:45:30 2003
@@ -15,11 +15,14 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Willows Toolkit for migrating and developing Windows applications
 
+ONLY_FOR_ARCHS= i386 alpha powerpc arm
+
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USE_XLIB=	yes
 USE_GMAKE=	yes
-GNU_CONFIGURE=	yes
+USE_AUTOCONF=	yes
+HAS_CONFIGURE=	yes
 CONFIGURE_ARGS=	--disable-debugger
 ALL_TARGET=	depend world
 PLIST_SUB=	LIBVER="${LIBVER}"
diff -ruN twin.orig/files/patch-aa twin/files/patch-aa
--- twin.orig/files/patch-aa	Wed Dec 31 19:00:00 1969
+++ twin/files/patch-aa	Sat May 17 23:25:09 2003
@@ -0,0 +1,41 @@
+--- configure.in.orig	Sun Jan 14 03:23:50 2001
++++ configure.in	Sat May 17 23:24:39 2003
+@@ -131,10 +131,18 @@
+ 	TARGET=sunos
+ 	;;
+ 
++   alpha-*-freebsd* )
++	TARGET=freebsd
++	;;
++
+    alpha-*-linux* )
+ 	TARGET=linux
+ 	;;
+ 
++   arm-*-freebsd* )
++	TARGET=arm
++	;;
++
+    arm-*-linux* )
+ 	TARGET=arm
+ 	;;
+@@ -143,7 +151,7 @@
+ 	TARGET=sco
+ 	;;
+ 
+-   i*86-unknown-freebsd* )
++   i*86-*-freebsd* )
+ 	TARGET=freebsd
+ 	;;
+ 
+@@ -153,6 +161,10 @@
+ 
+    i*86-*-cygwin* )
+ 	TARGET=cygwin
++	;;
++
++   powerpc-*-freebsd* )
++	TARGET=freebsd
+ 	;;
+ 
+    powerpc-*-linux* )
How-To-Repeat: bento
Comment 1 Pedro F. Giffuni 2003-05-23 03:53:39 UTC
I checked the alpha build log and I think I have a workaround
for the brokeness.

This patch should fix the build on non-i386 platforms, without
affecting the i386 build.

__________________________________________________
It's Samaritans' Week. Help Samaritans help others. 
Call 08709 000032 to give or donate online now at http://www.samaritans.org/support/donations.shtm
Comment 2 Pedro F. Giffuni 2003-07-10 04:39:07 UTC
Just FYI;

The patch I sent will probably help build this port on the Alpha, but the
gcc-3.3 update will break the build (on all platforms) because most of the
warnings it produced are now errors.

________________________________________________________________________
Want to chat instantly with your online friends?  Get the FREE Yahoo!
Messenger http://uk.messenger.yahoo.com/
Comment 3 Pedro F. Giffuni 2003-08-02 05:50:33 UTC
From the bento logs it's evident this wants autoconf and therefore it's better
to fix the configure.in instead of patching configure.
Here is a new patch (hope the mailer doesn't mess it up).
gcc 3.3 issues are probably still there though.


________________________________________________________________________
Want to chat instantly with your online friends?  Get the FREE Yahoo!
Messenger http://uk.messenger.yahoo.com/
Comment 4 Pedro F. Giffuni 2003-08-02 23:10:55 UTC
Hmm..

I had some spare time so I fixed the gcc-3.3 issues I know about. Enjoy!
Here it goes uuencoded JIC the attachment doesn't work.

begin 644 patch-twin
M9&EF9B`M<G5.('1W:6XN;W)I9R]-86ME9FEL92!T=VEN+TUA:V5F:6QE"BTM
M+2!T=VEN+F]R:6<O36%K969I;&4)4V%T($UA>2`@,R`R,CHP,CHQ-"`R,#`S
M"BLK*R!T=VEN+TUA:V5F:6QE"49R:2!!=6<@(#$@,C,Z,S`Z-3$@,C`P,PI`
M0"`M,34L,3,@*S$U+#(Q($!`"B!-04E.5$%)3D52/0EP;W)T<T!&<F5E0E-$
M+F]R9PH@0T]-345.5#T)5VEL;&]W<R!4;V]L:VET(&9O<B!M:6=R871I;F<@
M86YD(&1E=F5L;W!I;F<@5VEN9&]W<R!A<'!L:6-A=&EO;G,*(`HK3TY,65]&
M3U)?05)#2%,](&DS.#8@86QP:&$@<&]W97)P8PHK"B!74DM34D,]"0DD>U=2
M2T1)4GTO)'M03U)43D%-17T*(`H@55-%7UA,24(]"7EE<PHM55-%7T=-04M%
M/0EY97,**U5315]!551/0T].1CT)>65S"B!'3E5?0T].1DE'55)%/0EY97,*
M($-/3D9)1U5215]!4D=3/0DM+61I<V%B;&4M9&5B=6=G97(**RYI9B`D>TU!
M0TA)3D5?05)#2'T@(3T@(FDS.#8B"BL@($-/3D9)1U5215]!4D=3*ST@+2UD
M:7-A8FQE+6EN='`**RYE;F1I9@HK55-%7T=-04M%/0EY97,**PH@04Q,7U1!
M4D=%5#T)9&5P96YD('=O<FQD"BL*(%!,25-47U-50CT)3$E"5D52/2(D>TQ)
M0E9%4GTB"B!)3E-404Q,4U]32$Q)0CT)>65S"B`*9&EF9B`M<G5.('1W:6XN
M;W)I9R]F:6QE<R]P871C:"UA92!T=VEN+V9I;&5S+W!A=&-H+6%E"BTM+2!T
M=VEN+F]R:6<O9FEL97,O<&%T8V@M864)36]N($UA>2`Q,B`Q-CHS,SHU-B`R
M,#`S"BLK*R!T=VEN+V9I;&5S+W!A=&-H+6%E"5=E9"!$96,@,S$@,3DZ,#`Z
M,#`@,3DV.0I`0"`M,2PU("LP+#`@0$`*+2TM+2!C;VYF:6=U<F4N;W)I9PE3
M=6X@3F]V(#$T(#`U.C(S.C$R(#$Y.3D*+2LK*R!C;VYF:6=U<F4)4V%T($9E
M8B`Q,B`Q.#HQ,SHP.2`R,#`P"BU`0"`M,C8X-"`K,C8X-"!`0`HM+2`@(&DJ
M.#8M=6YK;F]W;BUF<F5E8G-D*B`I"BTK("`@*BTJ+69R965B<V0J("D*9&EF
M9B`M<G5.('1W:6XN;W)I9R]F:6QE<R]P871C:"UC;VYF:6=U<F4N:6X@='=I
M;B]F:6QE<R]P871C:"UC;VYF:6=U<F4N:6X*+2TM('1W:6XN;W)I9R]F:6QE
M<R]P871C:"UC;VYF:6=U<F4N:6X)5V5D($1E8R`S,2`Q.3HP,#HP,"`Q.38Y
M"BLK*R!T=VEN+V9I;&5S+W!A=&-H+6-O;F9I9W5R92YI;@E&<FD@075G("`Q
M(#(S.C(X.C(Y(#(P,#,*0$`@+3`L,"`K,2PS,R!`0`HK+2TM(&-O;F9I9W5R
M92YI;BYO<FEG"49R:2!!=6<@(#$@,C,Z,C,Z-#@@,C`P,PHK*RLK(&-O;F9I
M9W5R92YI;@E&<FD@075G("`Q(#(S.C(W.C0R(#(P,#,**T!`("TQ,S$L-B`K
M,3,Q+#$P($!`"BL@"51!4D=%5#US=6YO<PHK(`D[.PHK(`HK*R`@(&%L<&AA
M+2HM9G)E96)S9"H@*0HK*PE405)'150]9G)E96)S9`HK*PD[.PHK*PHK("`@
M(&%L<&AA+2HM;&EN=7@J("D**R`)5$%21T54/6QI;G5X"BL@"3L["BM`0"`M
M,30S+#<@*S$T-RPW($!`"BL@"51!4D=%5#US8V\**R`).SL**R`**RT@("!I
M*C@V+75N:VYO=VXM9G)E96)S9"H@*0HK*R`@(&DJ.#8M*BUF<F5E8G-D*B`I
M"BL@"51!4D=%5#UF<F5E8G-D"BL@"3L["BL@"BM`0"`M,34S+#8@*S$U-RPQ
M,"!`0`HK(`HK("`@(&DJ.#8M*BUC>6=W:6XJ("D**R`)5$%21T54/6-Y9W=I
M;@HK*PD[.PHK*PHK*R`@('!O=V5R<&,M*BUF<F5E8G-D*B`I"BLK"51!4D=%
M5#UF<F5E8G-D"BL@"3L["BL@"BL@("`@<&]W97)P8RTJ+6QI;G5X*B`I"F1I
M9F8@+7)U3B!T=VEN+F]R:6<O9FEL97,O<&%T8V@M;7-D;W,K;69S7V9I;&5I
M;RYC('1W:6XO9FEL97,O<&%T8V@M;7-D;W,K;69S7V9I;&5I;RYC"BTM+2!T
M=VEN+F]R:6<O9FEL97,O<&%T8V@M;7-D;W,K;69S7V9I;&5I;RYC"5=E9"!$
M96,@,S$@,3DZ,#`Z,#`@,3DV.0HK*RL@='=I;B]F:6QE<R]P871C:"UM<V1O
M<RMM9G-?9FEL96EO+F,)4V%T($%U9R`@,B`Q-CHP-#HR-R`R,#`S"D!`("TP
M+#`@*S$L,C(@0$`**RTM+2!M<V1O<R]M9G-?9FEL96EO+F,N;W)I9PE3870@
M075G("`R(#$V.C`R.C`X(#(P,#,**RLK*R!M<V1O<R]M9G-?9FEL96EO+F,)
M4V%T($%U9R`@,B`Q-CHP,SHR,"`R,#`S"BM`0"`M,C$S+#@@*S(Q,RPW($!`
M"BL@("`@("`@("`@("`H<W1R8VUP*&9I;&5N86UE+"!X9&]S+F9I;&5I;UMS
M;&]T72YF:6QE;F%M92D@/3T@,"D@*2!["BL@("`@("`@("`@("\J($=E="!T
M:&4@:&%N9&QE("HO"BL@("`@("`@("`@(&EF("@H:&%N9&QE(#T@9V5T:&%N
M9&QE*"DI(#P@,"D@>PHK+2`@("`@("`@("`@("`@15)24U12*"A,1E]%4E)/
M4BPB;69S7V1E;&5T92!C86YN;W0@9V5T(&AA;F1L92!F;W(@9FEL92`E<R`E
M9`HK+2`E9%QN(BP@9FEL96YA;64L(&5R<FYO+"!S;&]T*2D["BLK("`@("`@
M("`@("`@("!%4E)35%(H*$Q&7T524D]2+")M9G-?9&5L971E(&-A;FYO="!G
M970@:&%N9&QE(&9O<B!F:6QE("5S("5D("5D7&XB+"!F:6QE;F%M92P@97)R
M;F\L('-L;W0I*3L**R`@("`@("`@("`@("`@(')E='5R;B!-04M%3$].1RA.
M3U](04Y$3$53("8@,'AF9F9F+#!X9F9F9BD["BL@("`@("`@("`@('T**R`@
M("`@("`@("`@>&1O<RYF:6QE<'1R6VAA;F1L95T@/2`F>&1O<RYF:6QE:6];
M<VQO=%T["BM`0"`M,C,R+#@@*S(S,2PW($!`"BL@("`@("`)("`@("`@(')E
M='5R;B!U;FQI;FLH9FEL96YA;64I.PHK("`@("`@("`@("`@("`@?0HK("`@
M("`@("`@("!]"BLM("`@("`@("`@(&5L<V4@15)24U12*"A,1E]%4E)/4BPB
M;69S7V1E;&5T92`Z(&EN=F%L:60@:&%N9&QE("5D(&9O<B!F:6QE"BLM)7-<
M;B(L:&%N9&QE+"!F:6QE;F%M92DI.PHK*R`@("`@("`@("!E;'-E($524E-4
M4B@H3$9?15)23U(L(FUF<U]D96QE=&4@.B!I;G9A;&ED(&AA;F1L92`E9"!F
M;W(@9FEL92`E<UQN(BQH86YD;&4L(&9I;&5N86UE*2D["BL@("`@("`@("`@
M?0HK("`@("`@?0HK("`@("`@+RH@070@=&AI<R!P;VEN="P@96ET:&5R('1H
D92!F:6QE('=A<R!F8VQO<V5D(&)Y('5S+"!O<B!I="!W87,*
`
end




________________________________________________________________________
Want to chat instantly with your online friends?  Get the FREE Yahoo!
Messenger http://uk.messenger.yahoo.com/
Comment 5 Maho Nakata freebsd_committer 2003-08-09 02:59:14 UTC
State Changed
From-To: open->closed

Committed, thanks!